package org.jeecg.modules.adweb.materialcollect.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @Description:
 * @Author: wrk
 * @date 2022/7/19 14:20
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class ProductExcelDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * excel导入时，列序号
     */
    private Integer columnId;

    /**
     * 一级分类标题
     */
    @Excel(name = "分类标题(必填)")
    private String categoryName;

    /**
     * 产品标题
     */
    @Excel(name = "产品标题")
    private String productTitle;

    /**
     * 产品图片
     */
    @Excel(name = "产品图片")
    private String productImageUrls;

    /**
     * 产品简述
     */
    @Excel(name = "产品简述")
    private String productSketch;

    /**
     * 产品详情
     */
    @Excel(name = "产品详情")
    private String productDetail;

    /**
     * 产品相关词
     */
    @Excel(name = "产品关键词（英文逗号分割）")
    private String relatedWords;

}
