package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: adweb_material
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material")
public class AdwebMaterial implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**站点code*/
	@Excel(name = "站点code", width = 15)
    @Schema(description = "站点code")
    private String siteCode;
	/**网站物料code*/
	@Excel(name = "网站物料code", width = 15)
    @Schema(description = "网站物料code")
    private String materialCode;
	/**网站物料名称*/
	@Excel(name = "网站物料名称", width = 15)
    @Schema(description = "网站物料名称")
    private String materialLabel;
	/**物料状态（0：删除；1：可用）*/
	@Excel(name = "物料状态（0：删除；1：可用）", width = 15)
    @Schema(description = "物料状态（0：删除；1：可用）")
    private Integer status;
	/**上传时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "上传时间")
    private java.util.Date createTime;
	/**物料上传人*/
    @Schema(description = "物料上传人")
    private String createBy;
	/**更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "更新时间")
    private java.util.Date updateTime;
	/**更新人*/
    @Schema(description = "更新人")
    private String updateBy;
}
