package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description: adweb_material_category
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_category")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "adweb_material_category")
public class AdwebMaterialCategory implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
    /**
     * 对应站点code
     */
    @Excel(name = "对应站点code", width = 15)
    @Schema(description = "对应站点code")
    private String siteCode;
    /**
     * 分类唯一标识符
     */
    @Excel(name = "分类唯一标识符", width = 15)
    @Schema(description = "分类唯一标识符")
    private String categoryCode;
    /**
     * 分类标题
     */
    @Excel(name = "分类标题", width = 15)
    @Schema(description = "分类标题")
    private String categoryName;
    /**
     * 图片
     */
    @Excel(name = "图片", width = 15)
    @Schema(description = "图片")
    private String image;
    /**
     * 父级分类
     */
    @Excel(name = "父级分类", width = 15)
    @Schema(description = "父级分类")
    private Integer parentId;
    /**
     * 二级级分类
     */
    @Excel(name = "二级级分类", width = 15)
    @Schema(description = "二级级分类")
    @TableField(exist = false)
    private Integer secondParentId;
    /**
     * 分类描述
     */
    @Excel(name = "分类描述", width = 15)
    @Schema(description = "分类描述")
    private String categoryDescription;
    /**
     * 区分产品分类or内容分类（0：产品；1：内容）
     */
    @Excel(name = "区分产品分类or内容分类（0：产品；1：内容）", width = 15)
    @Schema(description = "区分产品分类or内容分类（0：产品；1：内容）")
    private Integer categoryDiff;
    /**
     * 父级分类名称
     */
    @Excel(name = "父级分类名称", width = 15)
    @Schema(description = "父级分类名称")
    private String parentCategoryName;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 分类状态（0：可用；1：删除）
     **/
    @Excel(name = "分类状态（0：可用；1：删除）", width = 15)
    @Schema(description = "分类状态（0：可用；1：删除）")
    private Integer status;

    @TableField(exist = false)
    private List<AdwebMaterialCategory> children;

    /**
     * commerce返回的分类id
     **/
    @Schema(description = "commerce返回的分类id")
    private Integer commerceId;

    private Integer parentCommerceId;

    @TableField(exist = false)
    private int productNum;

    /**
     * 分类类型（0：父分类，1：1级子分类，2：2级子分类）
     */
    private Integer categoryType;
}
