package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: adweb_material_check
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_check")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_check")
public class AdwebMaterialCheck implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**套餐id*/
	@Excel(name = "套餐id", width = 15)
    @Schema(description = "套餐id")
    private String planId;
	/**物料code*/
	@Excel(name = "物料code", width = 15)
    @Schema(description = "物料code")
    private String materialCode;
	/**物料名称*/
	@Excel(name = "物料名称", width = 15)
    @Schema(description = "物料名称")
    private String materialLabel;
	/**物料条目最小限制*/
	@Excel(name = "物料条目最小限制", width = 15)
    @Schema(description = "物料条目最小限制")
    @TableField(updateStrategy  = FieldStrategy.IGNORED)
    private Integer limitMin;
	/**是否必填（0：必填，1：非必填;；默认0）*/
	@Excel(name = "是否必填（0：必填，1：非必填;；默认0）", width = 15)
    @Schema(description = "是否必填（0：必填，1：非必填;；默认0）")
    private Integer required;
	/**字段排序*/
	@Excel(name = "字段排序", width = 15)
    @Schema(description = "字段排序")
    private Integer sort;
    /**权重*/
    @Excel(name = "权重", width = 15)
    @Schema(description = "权重")
    @TableField(updateStrategy  = FieldStrategy.IGNORED)
    private BigDecimal weight;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "创建时间")
    private Date createTime;
    /**菜单路径*/
    @Excel(name = "菜单路径", width = 15)
    @Schema(description = "菜单路径")
    private String menuPath;
}
