package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @Description: adweb_material_item
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_item")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_item")
public class AdwebMaterialItem implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
	/**物料id*/
	@Excel(name = "物料id", width = 15)
    @Schema(description = "物料id")
    private Integer materialId;
	/**字段*/
	@Excel(name = "字段", width = 15)
    @Schema(description = "字段")
    private String field;
	/**物料值*/
	@Excel(name = "物料值", width = 15)
    @Schema(description = "物料值")
    private String value;
	/**物料状态（0：删除；1：可用）*/
	@Excel(name = "物料状态（0：删除；1：可用）", width = 15)
    @Schema(description = "物料状态（0：删除；1：可用）")
    private Integer status;
	/**创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "创建时间")
    private java.util.Date createTime;

    /**
     * 本地化产品详情的状态，0未处理，1处理中，2已成功处理，3不需要处理
     */
    private Integer localizeStatus;

    /**
     * 本地化错误次数，每次编辑后，会清零。
     */
    private Integer localizeErrorNum;
}
