package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
/**
 * @Description: adweb_material_category
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_label")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_label")
public class AdwebMaterialLabel implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;

	/**标签名称*/
	@Excel(name = "标签名称", width = 50)
    @Schema(description = "标签名称")
    private String labelName;

	/**标签对应commerce的id*/
	@Excel(name = "commerceId", width = 11)
    @Schema(description = "commerceId")
    private Integer commerceId;

    /**对应站点code*/
    @Excel(name = "对应站点code", width = 20)
    @Schema(description = "对应站点code")
    private String siteCode;

}
