package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_material_news
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_news")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_news")
public class AdwebMaterialNews implements Serializable {
    private static final long serialVersionUID = 1L;

	/**
     * id
     */
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;

	/**
     * 对应站点code
     */
    @Schema(description = "对应站点code")
    private String siteCode;

    /**
     * 站点名称
     */
    @Schema(description = "对应站点名称")
    private String siteName;

	/**
     * 分类id
     */
    @Schema(description = "分类id")
    private String categoryId;

    /**
     * 分类名称
     */
    @Schema(description = "分类名称")
    private String categoryName;

	/**
     * 内容标题
     */
    @Schema(description = "内容标题")
    private String newsTitle;

	/**
     * 内容图片
     */
    @Schema(description = "内容图片")
    private String newsImage;

	/**
     * 相关产品id
     */
    @Schema(description = "相关产品id")
    private String relatedProductId;

    /**
     * 相关产品
     */
    @Schema(description = "相关产品")
    private String relatedProductName;

	/**
     * 内容简述
     */
    @Schema(description = "内容简述")
    private String newsSketch;

	/**
     * 内容详情
     */
    @Schema(description = "内容详情")
    private String newsDetail;

    /**
     * 作者
     */
    @Schema(description = "作者")
    private String author;

    /**
     * 作者角色
     */
    @Schema(description = "作者角色")
    private String authorRole;

    /**
     * 负责人
     */
    @Schema(description = "负责人")
    private String principalUid;

    /**
     * 同步状态: 0，待审核；1,待发布 2,已发布;3,发布失败,4,发布中;5,已定时;6,草稿;
     */
    @Schema(description = "同步状态")
    private Integer syncStatus;

	/**
     * 内容状态（0:可用；1：已删除）
     */
    @Schema(description = "内容状态（0:可用；1：已删除）")
    private Integer status;

    /**
     * wp站点产品id
     */
    @Schema(description = "wp站点产品id")
    private Integer wpNewsId;

	/**
     * 创建时间
     */
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "createTime")
    private Date createTime;

    /**
     * 最新编辑时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "editTime")
    private Date editTime;

    /**
     * 定时发布时间
     */
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(updateStrategy = FieldStrategy.IGNORED)     //该注解会将null设置到数据库中
    private Date regularTime;

    /**
     * 定时任务执行状态(0:未执行; 1:已执行; 2:执行中, 3:执行失败)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)     //该注解会将null设置到数据库中
    private Integer regularStatus;

    /**
     * 新闻uri
     */
    @Schema(description = "新闻uri")
    private String slug;

    /**
     * 网页链接
     */
    private String permalink;

    /**
     * 首次同步时间
     */
    private Date firstSyncTime;

    /**
     * 最后一次同步时间
     */
    private Date lastSyncTime;

    /**
     * 关键词
     */
    private String keyword;

    /**
     * 本地化产品详情的状态，0未处理，1处理中，2已成功处理，3不需要处理
     */
    private Integer localizeStatus;

    /**
     * 本地化错误次数，每次编辑后，会清零。
     */
    private Integer localizeErrorNum;

    /**
     * 站点是否启用
     */
    @TableField(exist = false)
    private Integer wordpressSwitch;

}
