package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_material_product_file
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_product_file")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_product_file")
public class AdwebMaterialProductFile implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;
    /**对应站点code*/
    @Excel(name = "对应站点code", width = 15)
    @Schema(description = "对应站点code")
    private String siteCode;
	/**相关产品id*/
	@Excel(name = "相关产品id", width = 15)
    @Schema(description = "相关产品id")
    private String productId;
	/**相关产品标题*/
	@Excel(name = "相关产品标题", width = 15)
    @Schema(description = "相关产品标题")
    private String productName;
	/**文档标题*/
	@Excel(name = "文档标题", width = 15)
    @Schema(description = "文档标题")
    private String title;
	/**文件*/
	@Excel(name = "文件", width = 15)
    @Schema(description = "文件")
    private String file;
	/**相关描述*/
	@Excel(name = "相关描述", width = 15)
    @Schema(description = "相关描述")
    private String description;
	/**(文档状态：0:可用，1：已删除)*/
	@Excel(name = "(文档状态：0:可用，1：已删除)", width = 15)
    @Schema(description = "(文档状态：0:可用，1：已删除)")
    private Integer status;
    /**创建时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @Schema(description = "createTime")
    private Date createTime;
}
