package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_material_product_image
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_material_product_image")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_material_product_image")
public class AdwebMaterialProductImage implements Serializable {
    private static final long serialVersionUID = 1L;

	/**
     * id
     */
	@TableId(type = IdType.AUTO)
    private Integer id;

	/**
     * 对应站点code
     */
    private String siteCode;

	/**
     * 产品id
     */
    private Integer productId;

	/**
     * 产品标题
     */
    private String productTitle;

	/**
     * 产品图片
     */
    private String imageUrl;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 上传次数
     */
    private Integer uploadNum;

    /**
     * 上传状态: 0:未上传, 1:上传成功, 2:上传中
     */
    private Integer uploadStatus;
}
