package org.jeecg.modules.adweb.materialcollect.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: adweb_url_edit_record
 * @Author: chenpeiqing
 * @Date:   2024-09-27
 * @Version: V1.0
 */
@Data
@TableName("adweb_url_edit_record")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="adweb_url_edit_record")
public class AdwebUrlEditRecord implements Serializable {
    private static final long serialVersionUID = 1L;

	/**
     * id
     */
	@TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Integer id;

	/**
     * 对应站点code
     */
    @Schema(description = "对应站点code")
    private String siteCode;

    /**
     * 站点名称
     */
    @Schema(description = "对应站点名称")
    private String siteName;

	/**
     * 源链接
     */
    @Schema(description = "分类id")
    private String source;

    /**
     * 匹配方式
     */
    @Schema(description = "匹配方式")
    private String matching;

    /**
     * 目标链接
     */
    @Schema(description = "分类名称")
    private String destination;

	/**
     * 类型
     */
    @Schema(description = "类型")
    private String type;

	/**
     * 创建时间
     */
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "createTime")
    private Date createTime;
}
