package org.jeecg.modules.adweb.materialcollect.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.adweb.materialcollect.dto.AdwebMaterialCheckDTO;
import org.jeecg.modules.adweb.materialcollect.dto.ProductCompletionStatus;
import org.jeecg.modules.adweb.materialcollect.entity.AdwebMaterialCheck;

import java.util.List;

/**
 * @Description: adweb_material_check
 * @Author: jeecg-boot
 * @Date:   2022-05-05
 * @Version: V1.0
 */
public interface IAdwebMaterialCheckService extends IService<AdwebMaterialCheck> {

    ProductCompletionStatus materialStatistics(List<AdwebMaterialCheck> materialCheckList, String siteCode);

    int getCountByMaterialCode(String siteCode, AdwebMaterialCheck adwebMaterialCheck);

    List<AdwebMaterialCheckDTO> getCheckListBySiteIdList(List<Integer> siteIdList);

    /**
     * 站点状态检测
     * @param siteCode
     * @return
     */
    public String checkSiteStatus(String siteCode);

    public Integer getEnterpriseHistoryNum(String siteCode);
}
